package com.qmth.distributed.print.business.bean.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.qmth.distributed.print.business.entity.TCStatistics;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Objects;

/**
 * @Description: 命题统计导入 dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/9/10
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class TCStatisticsDto extends TCStatistics implements Serializable {

    @ApiModelProperty(value = "完成状态，FINISH：已完成，UN_FINISH：未完成")
    private String statusStr;

    @ApiModelProperty(value = "印刷计划名称")
    private String printPlanName;

    @ApiModelProperty(value = "学生数量")
    int examStudentCount;

    @ApiModelProperty(value = "抽卷数")
    int drawCount;

    @ApiModelProperty(value = "备份数")
    int backupCount;

    public int getExamStudentCount() {
        return examStudentCount;
    }

    public void setExamStudentCount(int examStudentCount) {
        this.examStudentCount = examStudentCount;
    }

    public int getDrawCount() {
        return drawCount;
    }

    public void setDrawCount(int drawCount) {
        this.drawCount = drawCount;
    }

    public int getBackupCount() {
        return backupCount;
    }

    public void setBackupCount(int backupCount) {
        this.backupCount = backupCount;
    }

    public String getPrintPlanName() {
        return printPlanName;
    }

    public void setPrintPlanName(String printPlanName) {
        this.printPlanName = printPlanName;
    }

    public String getStatusStr() {
        if (Objects.nonNull(this.getStatus())) {
            return this.getStatus().getTitle();
        } else {
            return statusStr;
        }
    }

    public void setStatusStr(String statusStr) {
        this.statusStr = statusStr;
    }
}
